<?php
include "pin/header.php";
include "pin/sidenav.php";

$user_id = $_SESSION['user_id'];
$emp_id = $_SESSION['emp_id'];
$user_role = $_SESSION['user_role'];

if (isset($_GET['delete'])) {
    $q = mysqli_query($db, "DELETE FROM asset_types WHERE id='$_GET[delete]' ");

    if ($q) {
        echo "<script>alert('Asset Type Deleted Successfully !');</script>";
        echo "<script>location.href='asset_types';</script>";
    }
}

$edit = mysqli_fetch_assoc(mysqli_query($db, "select * from asset_types where id='$_GET[edit]' "));

?>


<!-- ============================================================== -->
<!-- Start Page Content here -->
<!-- ============================================================== -->

<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="mt-5"></div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body p-4">
                            <h4 class="header-title mt-1 mb-4">
                                Add Asset Type
                            </h4>

                            <form id="form_submit">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="asset_type" class="form-label mb-1">New Asset Type<span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" name="asset_type" id="asset_type" value="<?php echo $edit['type']; ?>" required placeholder="Enter New Asset Type">
                                        </div>
                                    </div>
                                </div>

                                <?php if (isset($edit['id'])) { ?>
                                    <input type="hidden" name="edit_asset_type_id" value="<?php echo $edit['id']; ?>">
                                    <input class="btn btn-primary mr-1" name="update_asset_type_submit" id="update_asset_type_submit" type="hidden">
                                <?php } else { ?>
                                    <input class="btn btn-primary mr-1" name="add_asset_type_submit" id="add_asset_type_submit" type="hidden">
                                <?php } ?>

                                <div class="form-group text-right mb-0 mt-4">
                                    <?php if (isset($edit['id'])) { ?>
                                        <button class="btn btn-primary mr-1" name="update_asset_type_submit" id="update_asset_type_submit" type="submit">Update Asset Type</button>
                                    <?php } else { ?>
                                        <button class="btn btn-primary mr-1" name="add_asset_type_submit" id="add_asset_type_submit" type="submit">Save Asset Type</button>
                                    <?php } ?>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body p-4">
                            <h4 class="header-title mt-0 mb-1 mb-4">
                                All Asset types
                            </h4>

                            <table id="basic-datatable" class="table dt-responsive nowrap">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Type</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                            </table>
                            <!-- </div> -->

                        </div> <!-- end card body-->
                    </div> <!-- end card -->
                </div><!-- end col-->
            </div>
            <!-- end row-->

        </div>
    </div>

</div>



<?php
include "pin/footer.php";
?>

<script>
    $(document).ready(function() {

        // ############################### columns
        let columns = [{
            data: 'row_num'
        }, {
            data: 'type'
        }, {
            data: 'id'
        }];

        // ############################### columns
        function show_hierarchy_data() {

            $("#filter_options").html('');
            form_fields.each(function() {
                search_filter(this);
            });
            if (setArray.length > 0) {
                loadTable('#basic-datatable', 'get_from_server/asset_types_get', columns, [0, 'asc'], setArray);
            } else {
                loadTable('#basic-datatable', 'get_from_server/asset_types_get', columns, [0, 'asc']);
            }
            // console.log(setArray);
            setArray = [];
            // console.log(setArray);
        }

        show_hierarchy_data();
    });






    function hasEmptyFields(form) {
        // Get all input elements within the form
        const inputs = form.querySelectorAll('input, select, textarea');

        // Check if any input is empty or null
        return Array.from(inputs).some(input => {
                // console.log(input.required, input.value.trim(), input.id);
                return input.required && input.value.trim() === ''
            }
        );
    }

    $('#form_submit').submit(function (e) {
        e.preventDefault();
        let form = document.getElementById('form_submit');
        // let form_data = new FormData(form);
        let form_data = $('#form_submit').serialize();
        // console.log(form_data);

        if(hasEmptyFields(form)){
            failedMessage('Please, Fill all the Fields.','<?php echo $_SESSION['user_name']; ?>');
            return false;
        }
        $.ajax({
            url: 'fun/function',
            type: 'POST',
            data: form_data,
            dataType: 'json',
            success: function(res) {
                // console.log(res);
                if (res.status === 200) {
                    successMessage(res.message, '<?php echo $_SESSION['user_name']; ?>');
                    setTimeout(() => {
                        location.href='asset_types';
                    }, 2000);
                } else {
                    failedMessage(res.message, '<?php echo $_SESSION['user_name']; ?>');
                }
            },
            error: function(xhr, status, error) {
                console.log(`Error: ${JSON.stringify(error)}`);
            }
        });
    });
</script>